## org.eclipse.jetty.security
Class ServerAuthException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  org.eclipse.jetty.security.ServerAuthException

All Implemented Interfaces:
  Serializable

    public class ServerAuthException

extends GeneralSecurityException

Version:
  $Rev: 4466 $ $Date: 2009-02-10 23:42:54 +0100 (Tue, 10 Feb 2009) $
See Also:
  Serialized Form

Constructor Summary
`ServerAuthException()`
`ServerAuthException(String s)`
`ServerAuthException(String s, Throwable throwable)`
`ServerAuthException(Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerAuthException

    public ServerAuthException()

### ServerAuthException

    public ServerAuthException(String s)

### ServerAuthException

    public ServerAuthException(String s,
                               Throwable throwable)

### ServerAuthException

    public ServerAuthException(Throwable throwable)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.